# onyx_interface – Manage Interfaces on Mellanox ONYX network devices

New in version 2.5.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of Interfaces on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of Interfaces definitions.
delay - | Default: 10 | Time in seconds to wait before checking for the operational state on remote device. This wait is applicable for operational state argument which are state with values `up`/`down`.
description - |  | Description of Interface.

duplex
-

Choices:
- full
- half
- auto ←

Interface link status

enabled
boolean

Choices:
- no
- yes

Interface link status.

mtu - |  | Maximum size of transmit packet.
name - / required |  | Name of the Interface.

purge
boolean

Choices:
- no ←
- yes

Purge Interfaces not defined in the aggregate parameter. This applies only for logical interface.

rx_rate - |  | Receiver rate in bits per second (bps). This is state check parameter only. Supports conditionals, see Conditionals in Networking Modules

speed
-

Choices:
- 1G
- 10G
- 25G
- 40G
- 50G
- 56G
- 100G

Interface link speed.

state
-

Choices:
- present ←
- absent
- up
- down

State of the Interface configuration, `up` means present and operationally up and `down` means present and operationally `down`

tx_rate - |  | Transmit rate in bits per second (bps). This is state check parameter only. Supports conditionals, see Conditionals in Networking Modules

## Examples

    - name: configure interface
      onyx_interface:
          name: Eth1/2
          description: test-interface
          speed: 100G
          mtu: 512

    - name: make interface up
      onyx_interface:
        name: Eth1/2
        enabled: True

    - name: make interface down
      onyx_interface:
        name: Eth1/2
        enabled: False

    - name: Check intent arguments
      onyx_interface:
        name: Eth1/2
        state: up

    - name: Config + intent
      onyx_interface:
        name: Eth1/2
        enabled: False
        state: down

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['interface ethernet 1/2', 'description test-interface', 'mtu 512', 'exit']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Samer Deeb (@samerd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.